1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Non-recursive Make rules.
18#
19# Copyright (C) 2013-2015 Gary V. Vaughan
20# Written by Gary V. Vaughan, 2013
21#
22# This program is free software; you can redistribute it and/or modify it
23# under the terms of the GNU General Public License as published by
24# the Free Software Foundation; either version 3, or (at your option)
25# any later version.
26#
27# This program is distributed in the hope that it will be useful, but
28# WITHOUT ANY WARRANTY; without even the implied warranty of
29# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
30# General Public License for more details.
31#
32# You should have received a copy of the GNU General Public License
33# along with this program.  If not, see <http://www.gnu.org/licenses/>.
34
35# Local Make rules.
36#
37# Copyright (C) 2013-2015 Gary V. Vaughan
38# Written by Gary V. Vaughan, 2013
39#
40# This program is free software; you can redistribute it and/or modify it
41# under the terms of the GNU General Public License as published by
42# the Free Software Foundation; either version 3, or (at your option)
43# any later version.
44#
45# This program is distributed in the hope that it will be useful, but
46# WITHOUT ANY WARRANTY; without even the implied warranty of
47# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
48# General Public License for more details.
49#
50# You should have received a copy of the GNU General Public License
51# along with this program.  If not, see <http://www.gnu.org/licenses/>.
52
53# Specl specs make rules.
54
55# Slingshot specl rules for make.
56
57# This file is distributed with Slingshot, and licensed under the
58# terms of the MIT license reproduced below.
59
60# ==================================================================== #
61# Copyright (C) 2013-2015 Gary V. Vaughan                              #
62#                                                                      #
63# Permission is hereby granted, free of charge, to any person          #
64# obtaining a copy of this software and associated documentation       #
65# files (the "Software"), to deal in the Software without restriction, #
66# including without limitation the rights to use, copy, modify, merge, #
67# publish, distribute, sublicense, and/or sell copies of the Software, #
68# and to permit persons to whom the Software is furnished to do so,    #
69# subject to the following conditions:                                 #
70#                                                                      #
71# The above copyright notice and this permission notice shall be       #
72# included in  all copies or substantial portions of the Software.     #
73#                                                                      #
74# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,      #
75# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF   #
76# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGE-   #
77# MENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE   #
78# FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF   #
79# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION   #
80# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.      #
81# ==================================================================== #
82
83# To use this file create a list of your spec files in specl_SPECS
84# and then include this make fragment.
85
86# Slingshot rockspec rules for make.
87
88# This file is distributed with Slingshot, and licensed under the
89# terms of the MIT license reproduced below.
90
91# ==================================================================== #
92# Copyright (C) 2013-2015 Reuben Thomas and Gary V. Vaughan                 #
93#                                                                      #
94# Permission is hereby granted, free of charge, to any person          #
95# obtaining a copy of this software and associated documentation       #
96# files (the "Software"), to deal in the Software without restriction, #
97# including without limitation the rights to use, copy, modify, merge, #
98# publish, distribute, sublicense, and/or sell copies of the Software, #
99# and to permit persons to whom the Software is furnished to do so,    #
100# subject to the following conditions:                                 #
101#                                                                      #
102# The above copyright notice and this permission notice shall be       #
103# included in  all copies or substantial portions of the Software.     #
104#                                                                      #
105# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,      #
106# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF   #
107# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGE-   #
108# MENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE   #
109# FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF   #
110# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION   #
111# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.      #
112# ==================================================================== #
113
114# This file is suitable for use from a portable Makefile, you might
115# include it into the top-level Makefile.am with:
116#
117#   include build-aux/rockspecs.mk
118
119
120
121VPATH = @srcdir@
122am__is_gnu_make = { \
123  if test -z '$(MAKELEVEL)'; then \
124    false; \
125  elif test -n '$(MAKE_HOST)'; then \
126    true; \
127  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
128    true; \
129  else \
130    false; \
131  fi; \
132}
133am__make_running_with_option = \
134  case $${target_option-} in \
135      ?) ;; \
136      *) echo "am__make_running_with_option: internal error: invalid" \
137              "target option '$${target_option-}' specified" >&2; \
138         exit 1;; \
139  esac; \
140  has_opt=no; \
141  sane_makeflags=$$MAKEFLAGS; \
142  if $(am__is_gnu_make); then \
143    sane_makeflags=$$MFLAGS; \
144  else \
145    case $$MAKEFLAGS in \
146      *\\[\ \	]*) \
147        bs=\\; \
148        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
149          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
150    esac; \
151  fi; \
152  skip_next=no; \
153  strip_trailopt () \
154  { \
155    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
156  }; \
157  for flg in $$sane_makeflags; do \
158    test $$skip_next = yes && { skip_next=no; continue; }; \
159    case $$flg in \
160      *=*|--*) continue;; \
161        -*I) strip_trailopt 'I'; skip_next=yes;; \
162      -*I?*) strip_trailopt 'I';; \
163        -*O) strip_trailopt 'O'; skip_next=yes;; \
164      -*O?*) strip_trailopt 'O';; \
165        -*l) strip_trailopt 'l'; skip_next=yes;; \
166      -*l?*) strip_trailopt 'l';; \
167      -[dEDm]) skip_next=yes;; \
168      -[JT]) skip_next=yes;; \
169    esac; \
170    case $$flg in \
171      *$$target_option*) has_opt=yes; break;; \
172    esac; \
173  done; \
174  test $$has_opt = yes
175am__make_dryrun = (target_option=n; $(am__make_running_with_option))
176am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
177pkgdatadir = $(datadir)/@PACKAGE@
178pkgincludedir = $(includedir)/@PACKAGE@
179pkglibdir = $(libdir)/@PACKAGE@
180pkglibexecdir = $(libexecdir)/@PACKAGE@
181am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
182install_sh_DATA = $(install_sh) -c -m 644
183install_sh_PROGRAM = $(install_sh) -c
184install_sh_SCRIPT = $(install_sh) -c
185INSTALL_HEADER = $(INSTALL_DATA)
186transform = $(program_transform_name)
187NORMAL_INSTALL = :
188PRE_INSTALL = :
189POST_INSTALL = :
190NORMAL_UNINSTALL = :
191PRE_UNINSTALL = :
192POST_UNINSTALL = :
193subdir = .
194ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
195am__aclocal_m4_deps = $(top_srcdir)/m4/ax_lua.m4 \
196	$(top_srcdir)/configure.ac
197am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
198	$(ACLOCAL_M4)
199DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
200	$(am__configure_deps) $(dist_bin_SCRIPTS) $(dist_classes_DATA) \
201	$(dist_doc_DATA) $(dist_lua_DATA) $(dist_luastd_DATA) \
202	$(dist_luastddebug_DATA) $(dist_modules_DATA) \
203	$(am__DIST_COMMON)
204am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
205 configure.lineno config.status.lineno
206mkinstalldirs = $(install_sh) -d
207CONFIG_CLEAN_FILES = build-aux/config.ld
208CONFIG_CLEAN_VPATH_FILES =
209am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
210am__vpath_adj = case $$p in \
211    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
212    *) f=$$p;; \
213  esac;
214am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
215am__install_max = 40
216am__nobase_strip_setup = \
217  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
218am__nobase_strip = \
219  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
220am__nobase_list = $(am__nobase_strip_setup); \
221  for p in $$list; do echo "$$p $$p"; done | \
222  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
223  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
224    if (++n[$$2] == $(am__install_max)) \
225      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
226    END { for (dir in files) print dir, files[dir] }'
227am__base_list = \
228  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
229  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
230am__uninstall_files_from_dir = { \
231  test -z "$$files" \
232    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
233    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
234         $(am__cd) "$$dir" && rm -f $$files; }; \
235  }
236am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(luaexecdir)" \
237	"$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
238	"$(DESTDIR)$(classesdir)" "$(DESTDIR)$(docdir)" \
239	"$(DESTDIR)$(luadir)" "$(DESTDIR)$(luastddir)" \
240	"$(DESTDIR)$(luastddebugdir)" "$(DESTDIR)$(modulesdir)" \
241	"$(DESTDIR)$(docdir)"
242LTLIBRARIES = $(lib_LTLIBRARIES) $(luaexec_LTLIBRARIES)
243SCRIPTS = $(bin_SCRIPTS) $(dist_bin_SCRIPTS)
244AM_V_P = $(am__v_P_@AM_V@)
245am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
246am__v_P_0 = false
247am__v_P_1 = :
248AM_V_GEN = $(am__v_GEN_@AM_V@)
249am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
250am__v_GEN_0 = @echo "  GEN     " $@;
251am__v_GEN_1 =
252AM_V_at = $(am__v_at_@AM_V@)
253am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
254am__v_at_0 = @
255am__v_at_1 =
256SOURCES =
257DIST_SOURCES =
258am__can_run_installinfo = \
259  case $$AM_UPDATE_INFO_DIR in \
260    n|no|NO) false;; \
261    *) (install-info --version) >/dev/null 2>&1;; \
262  esac
263DATA = $(dist_classes_DATA) $(dist_doc_DATA) $(dist_lua_DATA) \
264	$(dist_luastd_DATA) $(dist_luastddebug_DATA) \
265	$(dist_modules_DATA) $(doc_DATA)
266am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
267am__DIST_COMMON = $(srcdir)/Makefile.in \
268	$(srcdir)/build-aux/rockspecs.mk $(srcdir)/build-aux/specl.mk \
269	$(srcdir)/local.mk $(srcdir)/specs/specs.mk \
270	$(top_srcdir)/build-aux/config.ld.in \
271	$(top_srcdir)/build-aux/install-sh \
272	$(top_srcdir)/build-aux/missing AUTHORS COPYING ChangeLog \
273	INSTALL NEWS README build-aux/install-sh build-aux/missing
274DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
275distdir = $(PACKAGE)-$(VERSION)
276top_distdir = $(distdir)
277am__remove_distdir = \
278  if test -d "$(distdir)"; then \
279    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
280      && rm -rf "$(distdir)" \
281      || { sleep 5 && rm -rf "$(distdir)"; }; \
282  else :; fi
283am__post_remove_distdir = $(am__remove_distdir)
284DIST_ARCHIVES = $(distdir).tar.gz
285GZIP_ENV = --best
286DIST_TARGETS = dist-gzip
287distuninstallcheck_listfiles = find . -type f -print
288am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
289  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
290distcleancheck_listfiles = find . -type f -print
291ACLOCAL = @ACLOCAL@
292AMTAR = @AMTAR@
293AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
294AUTOCONF = @AUTOCONF@
295AUTOHEADER = @AUTOHEADER@
296AUTOMAKE = @AUTOMAKE@
297AWK = @AWK@
298CYGPATH_W = @CYGPATH_W@
299DEFS = @DEFS@
300ECHO_C = @ECHO_C@
301ECHO_N = @ECHO_N@
302ECHO_T = @ECHO_T@
303EGREP = @EGREP@
304GREP = @GREP@
305INSTALL = @INSTALL@
306INSTALL_DATA = @INSTALL_DATA@
307INSTALL_PROGRAM = @INSTALL_PROGRAM@
308INSTALL_SCRIPT = @INSTALL_SCRIPT@
309INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
310LDOC = @LDOC@
311LIBOBJS = @LIBOBJS@
312LIBS = @LIBS@
313LTLIBOBJS = @LTLIBOBJS@
314LUA = @LUA@
315LUA_EXEC_PREFIX = @LUA_EXEC_PREFIX@
316LUA_PLATFORM = @LUA_PLATFORM@
317LUA_PREFIX = @LUA_PREFIX@
318LUA_SHORT_VERSION = @LUA_SHORT_VERSION@
319LUA_VERSION = @LUA_VERSION@
320MAKEINFO = @MAKEINFO@
321MKDIR_P = @MKDIR_P@
322PACKAGE = @PACKAGE@
323PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
324PACKAGE_NAME = @PACKAGE_NAME@
325PACKAGE_STRING = @PACKAGE_STRING@
326PACKAGE_TARNAME = @PACKAGE_TARNAME@
327PACKAGE_URL = @PACKAGE_URL@
328PACKAGE_VERSION = @PACKAGE_VERSION@
329PATH_SEPARATOR = @PATH_SEPARATOR@
330SED = @SED@
331SET_MAKE = @SET_MAKE@
332SHELL = @SHELL@
333SPECL = @SPECL@
334STRIP = @STRIP@
335VERSION = @VERSION@
336abs_builddir = @abs_builddir@
337abs_srcdir = @abs_srcdir@
338abs_top_builddir = @abs_top_builddir@
339abs_top_srcdir = @abs_top_srcdir@
340am__leading_dot = @am__leading_dot@
341am__tar = @am__tar@
342am__untar = @am__untar@
343bindir = @bindir@
344build_alias = @build_alias@
345builddir = @builddir@
346datadir = @datadir@
347datarootdir = @datarootdir@
348docdir = @docdir@
349dvidir = @dvidir@
350exec_prefix = @exec_prefix@
351host_alias = @host_alias@
352htmldir = @htmldir@
353includedir = @includedir@
354infodir = @infodir@
355install_sh = @install_sh@
356libdir = @libdir@
357libexecdir = @libexecdir@
358localedir = @localedir@
359localstatedir = @localstatedir@
360luadir = @luadir@
361luaexecdir = @luaexecdir@
362mandir = @mandir@
363mkdir_p = @mkdir_p@
364oldincludedir = @oldincludedir@
365pdfdir = @pdfdir@
366pkgluadir = @pkgluadir@
367pkgluaexecdir = @pkgluaexecdir@
368prefix = @prefix@
369program_transform_name = @program_transform_name@
370psdir = @psdir@
371sbindir = @sbindir@
372sharedstatedir = @sharedstatedir@
373srcdir = @srcdir@
374sysconfdir = @sysconfdir@
375target_alias = @target_alias@
376top_build_prefix = @top_build_prefix@
377top_builddir = @top_builddir@
378top_srcdir = @top_srcdir@
379SPECL_ENV =
380CHECK_ENV = LUA='$(LUA)' PACKAGE_STRING='$(PACKAGE_STRING)' \
381	abs_top_builddir='$(abs_top_builddir)' \
382	abs_top_srcdir='$(abs_top_srcdir)' \
383	top_builddir='$(top_builddir)' top_srcdir='$(top_srcdir)' \
384	$(NOTHING_ELSE)
385INSTALLCHECK_ENV = LUA='$(LUA)' PACKAGE_STRING='$(PACKAGE_STRING)' \
386	installcheck='true' $(NOTHING_ELSE)
387ACLOCAL_AMFLAGS = -I m4
388AM_CPPFLAGS = $(LUA_INCLUDE)
389EXTRA_DIST = $(srcdir)/specs/spec_helper.lua $(NOTHING_ELSE) \
390	$(specl_SPECS) $(NOTHING_ELSE) build-aux/config.ld.in \
391	lib/std.lua.in $(NOTHING_ELSE) $(mkrockspecs) \
392	$(package_rockspec) $(rockspec_conf) $(NOTHING_ELSE)
393EXTRA_LTLIBRARIES =
394CLEANFILES =
395DISTCLEANFILES = $(luarocks_config) $(NOTHING_ELSE)
396MAINTAINERCLEANFILES =
397NOTHING_ELSE =
398bin_SCRIPTS =
399check_local = specl-check-local
400dist_bin_SCRIPTS =
401dist_lua_DATA = lib/std.lua $(NOTHING_ELSE)
402doc_DATA =
403installcheck_local = specl-installcheck-local
404install_exec_hooks = remove-luaexec-lafiles
405uninstall_hooks = uninstall-luaexec-modules
406lib_LTLIBRARIES =
407luaexec_LTLIBRARIES =
408man_MANS =
409save_release_files = $(scm_rockspec)
410std_path = $(abs_srcdir)/lib/?.lua;$(abs_srcdir)/lib/?/init.lua
411LUA_ENV = LUA_PATH="$(std_path);$(LUA_PATH)"
412old_NEWS_hash = d41d8cd98f00b204e9800998ecf8427e
413update_copyright_env = \
414	UPDATE_COPYRIGHT_HOLDER='(Gary V. Vaughan|Reuben Thomas)' \
415	UPDATE_COPYRIGHT_USE_INTERVALS=1 \
416	UPDATE_COPYRIGHT_FORCE=1
417
418classesdir = $(docdir)/classes
419modulesdir = $(docdir)/modules
420dist_doc_DATA = $(srcdir)/doc/index.html $(srcdir)/doc/ldoc.css
421dist_classes_DATA = $(srcdir)/doc/classes/std.container.html \
422	$(srcdir)/doc/classes/std.list.html \
423	$(srcdir)/doc/classes/std.object.html \
424	$(srcdir)/doc/classes/std.optparse.html \
425	$(srcdir)/doc/classes/std.set.html \
426	$(srcdir)/doc/classes/std.strbuf.html \
427	$(srcdir)/doc/classes/std.tree.html $(NOTHING_ELSE)
428dist_modules_DATA = $(srcdir)/doc/modules/std.html \
429	$(srcdir)/doc/modules/std.debug.html \
430	$(srcdir)/doc/modules/std.functional.html \
431	$(srcdir)/doc/modules/std.io.html \
432	$(srcdir)/doc/modules/std.math.html \
433	$(srcdir)/doc/modules/std.operator.html \
434	$(srcdir)/doc/modules/std.package.html \
435	$(srcdir)/doc/modules/std.strict.html \
436	$(srcdir)/doc/modules/std.string.html \
437	$(srcdir)/doc/modules/std.table.html $(NOTHING_ELSE)
438SPECL_OPTS = --unicode
439specl_SPECS = \
440	$(srcdir)/specs/container_spec.yaml	\
441	$(srcdir)/specs/debug_spec.yaml		\
442	$(srcdir)/specs/functional_spec.yaml	\
443	$(srcdir)/specs/io_spec.yaml		\
444	$(srcdir)/specs/list_spec.yaml		\
445	$(srcdir)/specs/math_spec.yaml		\
446	$(srcdir)/specs/object_spec.yaml	\
447	$(srcdir)/specs/operator_spec.yaml	\
448	$(srcdir)/specs/optparse_spec.yaml	\
449	$(srcdir)/specs/package_spec.yaml	\
450	$(srcdir)/specs/set_spec.yaml		\
451	$(srcdir)/specs/strbuf_spec.yaml	\
452	$(srcdir)/specs/string_spec.yaml	\
453	$(srcdir)/specs/table_spec.yaml		\
454	$(srcdir)/specs/tree_spec.yaml		\
455	$(srcdir)/specs/std_spec.yaml		\
456	$(NOTHING_ELSE)
457
458luastddir = $(luadir)/std
459dist_luastd_DATA = \
460	lib/std/base.lua		\
461	lib/std/container.lua		\
462	lib/std/debug.lua		\
463	lib/std/functional.lua		\
464	lib/std/io.lua			\
465	lib/std/list.lua		\
466	lib/std/math.lua		\
467	lib/std/object.lua		\
468	lib/std/operator.lua		\
469	lib/std/optparse.lua		\
470	lib/std/package.lua		\
471	lib/std/set.lua			\
472	lib/std/strbuf.lua		\
473	lib/std/strict.lua		\
474	lib/std/string.lua		\
475	lib/std/table.lua		\
476	lib/std/tree.lua		\
477	$(NOTHING_ELSE)
478
479
480# For bugwards compatibility with LuaRocks 2.1, while ensuring that
481# `require "std.debug_init"` continues to work, we have to install
482# the former `$(luadir)/std/debug_init.lua` to `debug_init/init.lua`.
483# When LuaRocks works again, move this file back to dist_luastd_DATA
484# above and rename to debug_init.lua.
485luastddebugdir = $(luastddir)/debug_init
486dist_luastddebug_DATA = \
487	lib/std/debug_init/init.lua	\
488	$(NOTHING_ELSE)
489
490mkrockspecs_args = --module-dir $(srcdir)/lib --repository lua-stdlib
491luarocks_config = build-aux/luarocks-config.lua
492rockspec_conf = $(srcdir)/rockspec.conf
493mkrockspecs = $(srcdir)/build-aux/mkrockspecs
494package_rockspec = $(srcdir)/$(PACKAGE)-$(VERSION)-$(rockspec_revision).rockspec
495scm_rockspec = $(PACKAGE)-git-$(rockspec_revision).rockspec
496
497# If you need a different rockspec revision, override this on the make
498# command line:
499#
500#     make rockspecs rockspec_revision=2
501rockspec_revision = 1
502LUAROCKS = luarocks
503MKROCKSPECS = $(MKROCKSPECS_ENV) $(LUA) $(mkrockspecs)
504ROCKSPECS_DEPS = \
505	$(luarocks_config)			\
506	$(mkrockspecs)				\
507	$(rockspec_conf)			\
508	$(NOTHING_ELSE)
509
510set_LUA_BINDIR = LUA_BINDIR=`which $(LUA) |$(SED) 's|/[^/]*$$||'`
511LUA_INCDIR = `cd $$LUA_BINDIR/../include && pwd`
512LUA_LIBDIR = `cd $$LUA_BINDIR/../lib && pwd`
513all: all-am
514
515.SUFFIXES:
516am--refresh: Makefile
517	@:
518$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/local.mk $(srcdir)/specs/specs.mk $(srcdir)/build-aux/specl.mk $(srcdir)/build-aux/rockspecs.mk $(am__configure_deps)
519	@for dep in $?; do \
520	  case '$(am__configure_deps)' in \
521	    *$$dep*) \
522	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
523	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
524		&& exit 0; \
525	      exit 1;; \
526	  esac; \
527	done; \
528	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
529	$(am__cd) $(top_srcdir) && \
530	  $(AUTOMAKE) --gnu Makefile
531Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
532	@case '$?' in \
533	  *config.status*) \
534	    echo ' $(SHELL) ./config.status'; \
535	    $(SHELL) ./config.status;; \
536	  *) \
537	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
538	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
539	esac;
540$(srcdir)/local.mk $(srcdir)/specs/specs.mk $(srcdir)/build-aux/specl.mk $(srcdir)/build-aux/rockspecs.mk $(am__empty):
541
542$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
543	$(SHELL) ./config.status --recheck
544
545$(top_srcdir)/configure:  $(am__configure_deps)
546	$(am__cd) $(srcdir) && $(AUTOCONF)
547$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
548	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
549$(am__aclocal_m4_deps):
550build-aux/config.ld: $(top_builddir)/config.status $(top_srcdir)/build-aux/config.ld.in
551	cd $(top_builddir) && $(SHELL) ./config.status $@
552
553install-libLTLIBRARIES: $(lib_LTLIBRARIES)
554	@$(NORMAL_INSTALL)
555	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
556	list2=; for p in $$list; do \
557	  if test -f $$p; then \
558	    list2="$$list2 $$p"; \
559	  else :; fi; \
560	done; \
561	test -z "$$list2" || { \
562	  echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
563	  $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
564	  echo " $(INSTALL) $(INSTALL_STRIP_FLAG) $$list '$(DESTDIR)$(libdir)'"; \
565	  $(INSTALL) $(INSTALL_STRIP_FLAG) $$list "$(DESTDIR)$(libdir)"; \
566	}
567
568uninstall-libLTLIBRARIES:
569	@$(NORMAL_UNINSTALL)
570	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
571	for p in $$list; do \
572	  $(am__strip_dir) \
573	  echo " rm -f '$(DESTDIR)$(libdir)/$$f'"; \
574	  rm -f "$(DESTDIR)$(libdir)/$$f"; \
575	done
576
577clean-libLTLIBRARIES:
578	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
579	@list='$(lib_LTLIBRARIES)'; \
580	locs=`for p in $$list; do echo $$p; done | \
581	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
582	      sort -u`; \
583	test -z "$$locs" || { \
584	  echo rm -f $${locs}; \
585	  rm -f $${locs}; \
586	}
587
588install-luaexecLTLIBRARIES: $(luaexec_LTLIBRARIES)
589	@$(NORMAL_INSTALL)
590	@list='$(luaexec_LTLIBRARIES)'; test -n "$(luaexecdir)" || list=; \
591	list2=; for p in $$list; do \
592	  if test -f $$p; then \
593	    list2="$$list2 $$p"; \
594	  else :; fi; \
595	done; \
596	test -z "$$list2" || { \
597	  echo " $(MKDIR_P) '$(DESTDIR)$(luaexecdir)'"; \
598	  $(MKDIR_P) "$(DESTDIR)$(luaexecdir)" || exit 1; \
599	  echo " $(INSTALL) $(INSTALL_STRIP_FLAG) $$list '$(DESTDIR)$(luaexecdir)'"; \
600	  $(INSTALL) $(INSTALL_STRIP_FLAG) $$list "$(DESTDIR)$(luaexecdir)"; \
601	}
602
603uninstall-luaexecLTLIBRARIES:
604	@$(NORMAL_UNINSTALL)
605	@list='$(luaexec_LTLIBRARIES)'; test -n "$(luaexecdir)" || list=; \
606	for p in $$list; do \
607	  $(am__strip_dir) \
608	  echo " rm -f '$(DESTDIR)$(luaexecdir)/$$f'"; \
609	  rm -f "$(DESTDIR)$(luaexecdir)/$$f"; \
610	done
611
612clean-luaexecLTLIBRARIES:
613	-test -z "$(luaexec_LTLIBRARIES)" || rm -f $(luaexec_LTLIBRARIES)
614	@list='$(luaexec_LTLIBRARIES)'; \
615	locs=`for p in $$list; do echo $$p; done | \
616	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
617	      sort -u`; \
618	test -z "$$locs" || { \
619	  echo rm -f $${locs}; \
620	  rm -f $${locs}; \
621	}
622install-binSCRIPTS: $(bin_SCRIPTS)
623	@$(NORMAL_INSTALL)
624	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
625	if test -n "$$list"; then \
626	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
627	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
628	fi; \
629	for p in $$list; do \
630	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
631	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
632	done | \
633	sed -e 'p;s,.*/,,;n' \
634	    -e 'h;s|.*|.|' \
635	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
636	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
637	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
638	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
639	      if (++n[d] == $(am__install_max)) { \
640		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
641	    else { print "f", d "/" $$4, $$1 } } \
642	  END { for (d in files) print "f", d, files[d] }' | \
643	while read type dir files; do \
644	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
645	     test -z "$$files" || { \
646	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
647	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
648	     } \
649	; done
650
651uninstall-binSCRIPTS:
652	@$(NORMAL_UNINSTALL)
653	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
654	files=`for p in $$list; do echo "$$p"; done | \
655	       sed -e 's,.*/,,;$(transform)'`; \
656	dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
657install-dist_binSCRIPTS: $(dist_bin_SCRIPTS)
658	@$(NORMAL_INSTALL)
659	@list='$(dist_bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
660	if test -n "$$list"; then \
661	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
662	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
663	fi; \
664	for p in $$list; do \
665	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
666	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
667	done | \
668	sed -e 'p;s,.*/,,;n' \
669	    -e 'h;s|.*|.|' \
670	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
671	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
672	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
673	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
674	      if (++n[d] == $(am__install_max)) { \
675		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
676	    else { print "f", d "/" $$4, $$1 } } \
677	  END { for (d in files) print "f", d, files[d] }' | \
678	while read type dir files; do \
679	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
680	     test -z "$$files" || { \
681	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
682	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
683	     } \
684	; done
685
686uninstall-dist_binSCRIPTS:
687	@$(NORMAL_UNINSTALL)
688	@list='$(dist_bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
689	files=`for p in $$list; do echo "$$p"; done | \
690	       sed -e 's,.*/,,;$(transform)'`; \
691	dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
692install-dist_classesDATA: $(dist_classes_DATA)
693	@$(NORMAL_INSTALL)
694	@list='$(dist_classes_DATA)'; test -n "$(classesdir)" || list=; \
695	if test -n "$$list"; then \
696	  echo " $(MKDIR_P) '$(DESTDIR)$(classesdir)'"; \
697	  $(MKDIR_P) "$(DESTDIR)$(classesdir)" || exit 1; \
698	fi; \
699	for p in $$list; do \
700	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
701	  echo "$$d$$p"; \
702	done | $(am__base_list) | \
703	while read files; do \
704	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(classesdir)'"; \
705	  $(INSTALL_DATA) $$files "$(DESTDIR)$(classesdir)" || exit $$?; \
706	done
707
708uninstall-dist_classesDATA:
709	@$(NORMAL_UNINSTALL)
710	@list='$(dist_classes_DATA)'; test -n "$(classesdir)" || list=; \
711	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
712	dir='$(DESTDIR)$(classesdir)'; $(am__uninstall_files_from_dir)
713install-dist_docDATA: $(dist_doc_DATA)
714	@$(NORMAL_INSTALL)
715	@list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
716	if test -n "$$list"; then \
717	  echo " $(MKDIR_P) '$(DESTDIR)$(docdir)'"; \
718	  $(MKDIR_P) "$(DESTDIR)$(docdir)" || exit 1; \
719	fi; \
720	for p in $$list; do \
721	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
722	  echo "$$d$$p"; \
723	done | $(am__base_list) | \
724	while read files; do \
725	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
726	  $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
727	done
728
729uninstall-dist_docDATA:
730	@$(NORMAL_UNINSTALL)
731	@list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
732	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
733	dir='$(DESTDIR)$(docdir)'; $(am__uninstall_files_from_dir)
734install-dist_luaDATA: $(dist_lua_DATA)
735	@$(NORMAL_INSTALL)
736	@list='$(dist_lua_DATA)'; test -n "$(luadir)" || list=; \
737	if test -n "$$list"; then \
738	  echo " $(MKDIR_P) '$(DESTDIR)$(luadir)'"; \
739	  $(MKDIR_P) "$(DESTDIR)$(luadir)" || exit 1; \
740	fi; \
741	for p in $$list; do \
742	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
743	  echo "$$d$$p"; \
744	done | $(am__base_list) | \
745	while read files; do \
746	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(luadir)'"; \
747	  $(INSTALL_DATA) $$files "$(DESTDIR)$(luadir)" || exit $$?; \
748	done
749
750uninstall-dist_luaDATA:
751	@$(NORMAL_UNINSTALL)
752	@list='$(dist_lua_DATA)'; test -n "$(luadir)" || list=; \
753	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
754	dir='$(DESTDIR)$(luadir)'; $(am__uninstall_files_from_dir)
755install-dist_luastdDATA: $(dist_luastd_DATA)
756	@$(NORMAL_INSTALL)
757	@list='$(dist_luastd_DATA)'; test -n "$(luastddir)" || list=; \
758	if test -n "$$list"; then \
759	  echo " $(MKDIR_P) '$(DESTDIR)$(luastddir)'"; \
760	  $(MKDIR_P) "$(DESTDIR)$(luastddir)" || exit 1; \
761	fi; \
762	for p in $$list; do \
763	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
764	  echo "$$d$$p"; \
765	done | $(am__base_list) | \
766	while read files; do \
767	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(luastddir)'"; \
768	  $(INSTALL_DATA) $$files "$(DESTDIR)$(luastddir)" || exit $$?; \
769	done
770
771uninstall-dist_luastdDATA:
772	@$(NORMAL_UNINSTALL)
773	@list='$(dist_luastd_DATA)'; test -n "$(luastddir)" || list=; \
774	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
775	dir='$(DESTDIR)$(luastddir)'; $(am__uninstall_files_from_dir)
776install-dist_luastddebugDATA: $(dist_luastddebug_DATA)
777	@$(NORMAL_INSTALL)
778	@list='$(dist_luastddebug_DATA)'; test -n "$(luastddebugdir)" || list=; \
779	if test -n "$$list"; then \
780	  echo " $(MKDIR_P) '$(DESTDIR)$(luastddebugdir)'"; \
781	  $(MKDIR_P) "$(DESTDIR)$(luastddebugdir)" || exit 1; \
782	fi; \
783	for p in $$list; do \
784	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
785	  echo "$$d$$p"; \
786	done | $(am__base_list) | \
787	while read files; do \
788	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(luastddebugdir)'"; \
789	  $(INSTALL_DATA) $$files "$(DESTDIR)$(luastddebugdir)" || exit $$?; \
790	done
791
792uninstall-dist_luastddebugDATA:
793	@$(NORMAL_UNINSTALL)
794	@list='$(dist_luastddebug_DATA)'; test -n "$(luastddebugdir)" || list=; \
795	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
796	dir='$(DESTDIR)$(luastddebugdir)'; $(am__uninstall_files_from_dir)
797install-dist_modulesDATA: $(dist_modules_DATA)
798	@$(NORMAL_INSTALL)
799	@list='$(dist_modules_DATA)'; test -n "$(modulesdir)" || list=; \
800	if test -n "$$list"; then \
801	  echo " $(MKDIR_P) '$(DESTDIR)$(modulesdir)'"; \
802	  $(MKDIR_P) "$(DESTDIR)$(modulesdir)" || exit 1; \
803	fi; \
804	for p in $$list; do \
805	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
806	  echo "$$d$$p"; \
807	done | $(am__base_list) | \
808	while read files; do \
809	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(modulesdir)'"; \
810	  $(INSTALL_DATA) $$files "$(DESTDIR)$(modulesdir)" || exit $$?; \
811	done
812
813uninstall-dist_modulesDATA:
814	@$(NORMAL_UNINSTALL)
815	@list='$(dist_modules_DATA)'; test -n "$(modulesdir)" || list=; \
816	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
817	dir='$(DESTDIR)$(modulesdir)'; $(am__uninstall_files_from_dir)
818install-docDATA: $(doc_DATA)
819	@$(NORMAL_INSTALL)
820	@list='$(doc_DATA)'; test -n "$(docdir)" || list=; \
821	if test -n "$$list"; then \
822	  echo " $(MKDIR_P) '$(DESTDIR)$(docdir)'"; \
823	  $(MKDIR_P) "$(DESTDIR)$(docdir)" || exit 1; \
824	fi; \
825	for p in $$list; do \
826	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
827	  echo "$$d$$p"; \
828	done | $(am__base_list) | \
829	while read files; do \
830	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
831	  $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
832	done
833
834uninstall-docDATA:
835	@$(NORMAL_UNINSTALL)
836	@list='$(doc_DATA)'; test -n "$(docdir)" || list=; \
837	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
838	dir='$(DESTDIR)$(docdir)'; $(am__uninstall_files_from_dir)
839tags TAGS:
840
841ctags CTAGS:
842
843cscope cscopelist:
844
845
846distdir: $(DISTFILES)
847	$(am__remove_distdir)
848	test -d "$(distdir)" || mkdir "$(distdir)"
849	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
850	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
851	list='$(DISTFILES)'; \
852	  dist_files=`for file in $$list; do echo $$file; done | \
853	  sed -e "s|^$$srcdirstrip/||;t" \
854	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
855	case $$dist_files in \
856	  */*) $(MKDIR_P) `echo "$$dist_files" | \
857			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
858			   sort -u` ;; \
859	esac; \
860	for file in $$dist_files; do \
861	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
862	  if test -d $$d/$$file; then \
863	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
864	    if test -d "$(distdir)/$$file"; then \
865	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
866	    fi; \
867	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
868	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
869	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
870	    fi; \
871	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
872	  else \
873	    test -f "$(distdir)/$$file" \
874	    || cp -p $$d/$$file "$(distdir)/$$file" \
875	    || exit 1; \
876	  fi; \
877	done
878	-test -n "$(am__skip_mode_fix)" \
879	|| find "$(distdir)" -type d ! -perm -755 \
880		-exec chmod u+rwx,go+rx {} \; -o \
881	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
882	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
883	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
884	|| chmod -R a+r "$(distdir)"
885dist-gzip: distdir
886	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
887	$(am__post_remove_distdir)
888
889dist-bzip2: distdir
890	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
891	$(am__post_remove_distdir)
892
893dist-lzip: distdir
894	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
895	$(am__post_remove_distdir)
896
897dist-xz: distdir
898	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
899	$(am__post_remove_distdir)
900
901dist-tarZ: distdir
902	@echo WARNING: "Support for distribution archives compressed with" \
903		       "legacy program 'compress' is deprecated." >&2
904	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
905	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
906	$(am__post_remove_distdir)
907
908dist-shar: distdir
909	@echo WARNING: "Support for shar distribution archives is" \
910	               "deprecated." >&2
911	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
912	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
913	$(am__post_remove_distdir)
914
915dist-zip: distdir
916	-rm -f $(distdir).zip
917	zip -rq $(distdir).zip $(distdir)
918	$(am__post_remove_distdir)
919
920dist dist-all:
921	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
922	$(am__post_remove_distdir)
923
924# This target untars the dist file and tries a VPATH configuration.  Then
925# it guarantees that the distribution is self-contained by making another
926# tarfile.
927distcheck: dist
928	case '$(DIST_ARCHIVES)' in \
929	*.tar.gz*) \
930	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
931	*.tar.bz2*) \
932	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
933	*.tar.lz*) \
934	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
935	*.tar.xz*) \
936	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
937	*.tar.Z*) \
938	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
939	*.shar.gz*) \
940	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
941	*.zip*) \
942	  unzip $(distdir).zip ;;\
943	esac
944	chmod -R a-w $(distdir)
945	chmod u+w $(distdir)
946	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
947	chmod a-w $(distdir)
948	test -d $(distdir)/_build || exit 0; \
949	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
950	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
951	  && am__cwd=`pwd` \
952	  && $(am__cd) $(distdir)/_build/sub \
953	  && ../../configure \
954	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
955	    $(DISTCHECK_CONFIGURE_FLAGS) \
956	    --srcdir=../.. --prefix="$$dc_install_base" \
957	  && $(MAKE) $(AM_MAKEFLAGS) \
958	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
959	  && $(MAKE) $(AM_MAKEFLAGS) check \
960	  && $(MAKE) $(AM_MAKEFLAGS) install \
961	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
962	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
963	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
964	        distuninstallcheck \
965	  && chmod -R a-w "$$dc_install_base" \
966	  && ({ \
967	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
968	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
969	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
970	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
971	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
972	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
973	  && rm -rf "$$dc_destdir" \
974	  && $(MAKE) $(AM_MAKEFLAGS) dist \
975	  && rm -rf $(DIST_ARCHIVES) \
976	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
977	  && cd "$$am__cwd" \
978	  || exit 1
979	$(am__post_remove_distdir)
980	@(echo "$(distdir) archives ready for distribution: "; \
981	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
982	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
983distuninstallcheck:
984	@test -n '$(distuninstallcheck_dir)' || { \
985	  echo 'ERROR: trying to run $@ with an empty' \
986	       '$$(distuninstallcheck_dir)' >&2; \
987	  exit 1; \
988	}; \
989	$(am__cd) '$(distuninstallcheck_dir)' || { \
990	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
991	  exit 1; \
992	}; \
993	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
994	   || { echo "ERROR: files left after uninstall:" ; \
995	        if test -n "$(DESTDIR)"; then \
996	          echo "  (check DESTDIR support)"; \
997	        fi ; \
998	        $(distuninstallcheck_listfiles) ; \
999	        exit 1; } >&2
1000distcleancheck: distclean
1001	@if test '$(srcdir)' = . ; then \
1002	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
1003	  exit 1 ; \
1004	fi
1005	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
1006	  || { echo "ERROR: files left in build directory after distclean:" ; \
1007	       $(distcleancheck_listfiles) ; \
1008	       exit 1; } >&2
1009check-am: all-am
1010	$(MAKE) $(AM_MAKEFLAGS) check-local
1011check: check-am
1012all-am: Makefile $(LTLIBRARIES) $(SCRIPTS) $(DATA)
1013installdirs:
1014	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(luaexecdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(classesdir)" "$(DESTDIR)$(docdir)" "$(DESTDIR)$(luadir)" "$(DESTDIR)$(luastddir)" "$(DESTDIR)$(luastddebugdir)" "$(DESTDIR)$(modulesdir)" "$(DESTDIR)$(docdir)"; do \
1015	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1016	done
1017install: install-am
1018install-exec: install-exec-am
1019install-data: install-data-am
1020uninstall: uninstall-am
1021
1022install-am: all-am
1023	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1024
1025installcheck: installcheck-am
1026install-strip:
1027	if test -z '$(STRIP)'; then \
1028	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1029	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1030	      install; \
1031	else \
1032	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1033	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1034	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1035	fi
1036mostlyclean-generic:
1037
1038clean-generic:
1039	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1040
1041distclean-generic:
1042	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1043	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1044	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1045
1046maintainer-clean-generic:
1047	@echo "This command is intended for maintainers to use"
1048	@echo "it deletes files that may require special tools to rebuild."
1049	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1050clean: clean-am
1051
1052clean-am: clean-generic clean-libLTLIBRARIES clean-luaexecLTLIBRARIES \
1053	mostlyclean-am
1054
1055distclean: distclean-am
1056	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
1057	-rm -f Makefile
1058distclean-am: clean-am distclean-generic
1059
1060dvi: dvi-am
1061
1062dvi-am:
1063
1064html: html-am
1065
1066html-am:
1067
1068info: info-am
1069
1070info-am:
1071
1072install-data-am: install-dist_classesDATA install-dist_docDATA \
1073	install-dist_luaDATA install-dist_luastdDATA \
1074	install-dist_luastddebugDATA install-dist_modulesDATA \
1075	install-docDATA
1076
1077install-dvi: install-dvi-am
1078
1079install-dvi-am:
1080
1081install-exec-am: install-binSCRIPTS install-dist_binSCRIPTS \
1082	install-libLTLIBRARIES install-luaexecLTLIBRARIES
1083	@$(NORMAL_INSTALL)
1084	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
1085install-html: install-html-am
1086
1087install-html-am:
1088
1089install-info: install-info-am
1090
1091install-info-am:
1092
1093install-man:
1094
1095install-pdf: install-pdf-am
1096
1097install-pdf-am:
1098
1099install-ps: install-ps-am
1100
1101install-ps-am:
1102
1103installcheck-am: installcheck-local
1104
1105maintainer-clean: maintainer-clean-am
1106	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
1107	-rm -rf $(top_srcdir)/autom4te.cache
1108	-rm -f Makefile
1109maintainer-clean-am: distclean-am maintainer-clean-generic
1110
1111mostlyclean: mostlyclean-am
1112
1113mostlyclean-am: mostlyclean-generic
1114
1115pdf: pdf-am
1116
1117pdf-am:
1118
1119ps: ps-am
1120
1121ps-am:
1122
1123uninstall-am: uninstall-binSCRIPTS uninstall-dist_binSCRIPTS \
1124	uninstall-dist_classesDATA uninstall-dist_docDATA \
1125	uninstall-dist_luaDATA uninstall-dist_luastdDATA \
1126	uninstall-dist_luastddebugDATA uninstall-dist_modulesDATA \
1127	uninstall-docDATA uninstall-libLTLIBRARIES \
1128	uninstall-luaexecLTLIBRARIES
1129	@$(NORMAL_INSTALL)
1130	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
1131.MAKE: check-am install-am install-exec-am install-strip uninstall-am
1132
1133.PHONY: all all-am am--refresh check check-am check-local clean \
1134	clean-generic clean-libLTLIBRARIES clean-luaexecLTLIBRARIES \
1135	cscopelist-am ctags-am dist dist-all dist-bzip2 dist-gzip \
1136	dist-lzip dist-shar dist-tarZ dist-xz dist-zip distcheck \
1137	distclean distclean-generic distcleancheck distdir \
1138	distuninstallcheck dvi dvi-am html html-am info info-am \
1139	install install-am install-binSCRIPTS install-data \
1140	install-data-am install-dist_binSCRIPTS \
1141	install-dist_classesDATA install-dist_docDATA \
1142	install-dist_luaDATA install-dist_luastdDATA \
1143	install-dist_luastddebugDATA install-dist_modulesDATA \
1144	install-docDATA install-dvi install-dvi-am install-exec \
1145	install-exec-am install-exec-hook install-html install-html-am \
1146	install-info install-info-am install-libLTLIBRARIES \
1147	install-luaexecLTLIBRARIES install-man install-pdf \
1148	install-pdf-am install-ps install-ps-am install-strip \
1149	installcheck installcheck-am installcheck-local installdirs \
1150	maintainer-clean maintainer-clean-generic mostlyclean \
1151	mostlyclean-generic pdf pdf-am ps ps-am tags-am uninstall \
1152	uninstall-am uninstall-binSCRIPTS uninstall-dist_binSCRIPTS \
1153	uninstall-dist_classesDATA uninstall-dist_docDATA \
1154	uninstall-dist_luaDATA uninstall-dist_luastdDATA \
1155	uninstall-dist_luastddebugDATA uninstall-dist_modulesDATA \
1156	uninstall-docDATA uninstall-hook uninstall-libLTLIBRARIES \
1157	uninstall-luaexecLTLIBRARIES
1158
1159.PRECIOUS: Makefile
1160
1161
1162LUA_PATH  ?= ;
1163LUA_CPATH ?= ;
1164specl-check-local: $(specl_SPECS)
1165	$(CHECK_ENV) $(SPECL_ENV) $(SPECL) $(SPECL_OPTS) $(specl_SPECS)
1166specl-installcheck-local: $(specl_SPECS)
1167	$(INSTALLCHECK_ENV) $(SPECL_ENV) $(SPECL) $(SPECL_OPTS) $(specl_SPECS)
1168
1169# In order to avoid regenerating std.lua at configure time, which
1170# causes the documentation to be rebuilt and hence requires users to
1171# have ldoc installed, put std/std.lua in as a Makefile dependency.
1172# (Strictly speaking, distributing an AC_CONFIG_FILE would be wrong.)
1173lib/std.lua: lib/std.lua.in
1174	./config.status --file=$@
1175
1176$(dist_doc_DATA) $(dist_classes_DATA) $(dist_modules_DATA): $(srcdir)/doc
1177
1178$(srcdir)/doc: $(dist_lua_DATA) $(dist_luastd_DATA)
1179	test -d $@ || mkdir $@
1180	$(LDOC) -c build-aux/config.ld -d $(abs_srcdir)/doc .
1181
1182$(luarocks_config): Makefile.am
1183	@test -d build-aux || mkdir build-aux
1184	$(AM_V_GEN){						\
1185	  $(set_LUA_BINDIR);					\
1186	  echo 'rocks_trees = { "$(abs_srcdir)/luarocks" }';	\
1187	  echo 'variables = {';					\
1188	  echo '  LUA = "$(LUA)",';				\
1189	  echo '  LUA_BINDIR = "'$$LUA_BINDIR'",';		\
1190	  echo '  LUA_INCDIR = "'$(LUA_INCDIR)'",';		\
1191	  echo '  LUA_LIBDIR = "'$(LUA_LIBDIR)'",';		\
1192	  echo '}';						\
1193	} > '$@'
1194
1195$(package_rockspec): $(ROCKSPECS_DEPS)
1196	$(AM_V_at)rm -f '$@' 2>/dev/null || :
1197	$(AM_V_GEN)test -f '$@' ||				\
1198	  $(MKROCKSPECS) $(mkrockspecs_args)			\
1199	    $(PACKAGE) $(VERSION) $(rockspec_revision) > '$@'
1200	$(AM_V_at)$(LUAROCKS) lint '$@'
1201
1202$(scm_rockspec): $(ROCKSPECS_DEPS)
1203	$(AM_V_at)rm '$@' 2>/dev/null || :
1204	$(AM_V_GEN)test -f '$@' ||				\
1205	  $(MKROCKSPECS) $(mkrockspecs_args)			\
1206	    $(PACKAGE) git 1 > '$@'
1207	$(AM_V_at)$(LUAROCKS) lint '$@'
1208
1209.PHONY: rockspecs
1210rockspecs:
1211	$(AM_V_at)rm -f *.rockspec
1212	$(AM_V_at)$(MAKE) $(package_rockspec) $(scm_rockspec)
1213
1214check-local: $(check_local)
1215
1216installcheck-local: $(installcheck_local)
1217
1218install-exec-hook: $(install_exec_hooks)
1219
1220# Neither Lua itself, nor LuaRocks can use .la files, and LuaRocks
1221# actually moves such files aside anyway, so we just remove them from
1222# the installation directory.
1223remove-luaexec-lafiles:
1224	@for la in $(luaexec_LTLIBRARIES); do		\
1225	  f=`echo "$$la" |sed 's|^.*/||'`;		\
1226	  echo rm -f $(DESTDIR)$(luaexecdir)/$$f;	\
1227	  rm -f $(DESTDIR)$(luaexecdir)/$$f;		\
1228	done
1229
1230uninstall-hook: $(uninstall_hooks)
1231
1232# We removed the .la files from luaexecdir, so the standard uninstall,
1233# with libtool --mode=uninstall, can't find everything anymore.
1234uninstall-luaexec-modules:
1235	@for la in $(luaexec_LTLIBRARIES); do		\
1236	  base=`echo "$$la"				\
1237		|sed 's|^.*/\(.*\)\.la|\1|'`;		\
1238	  echo rm -f $(DESTDIR)$(luaexecdir)/$$base.so;	\
1239	  rm -f $(DESTDIR)$(luaexecdir)/$$base.so;	\
1240	done
1241
1242# Tell versions [3.59,3.63) of GNU make to not export all variables.
1243# Otherwise a system limit (for SysV at least) may be exceeded.
1244.NOEXPORT:
1245